# Class HDFException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ncsa.hdf.hdflib.HDFException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HDFJavaException`

public class HDFException extends Exception

The class HDFException returns errors from the HDF library.

Two sub-classes of HDFException are defined:

1. HDFLibraryException -- errors raised the HDF library code
2. HDFJavaException -- errors raised the HDF Java wrapper code

These exceptions will be sub-classed to represent specific error conditions, as needed.

The only specific exception currently defined is HDFNotImplementedException, indicating a function that is part of the HDF API, but which cannot or will not be implemented for Java.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HDFExceptionMessage`
`static final String`
`HDFMessage`
`static final String`
`OutOfMemoryMessage`

## Constructor Summary

Constructors
Constructor
Description
`HDFException()`
`HDFException(int err)`
`HDFException(String s)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### OutOfMemoryMessage

public static final String OutOfMemoryMessage

See Also:
  - Constant Field Values

### HDFExceptionMessage

public static final String HDFExceptionMessage

See Also:
  - Constant Field Values

### HDFMessage

public static final String HDFMessage

See Also:
  - Constant Field Values

## Constructor Details

### HDFException

public HDFException()

### HDFException

public HDFException(String s)

### HDFException

public HDFException(int err)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`